## groovy.util
Interface Factory

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Method Detail

### isLeaf

    public boolean isLeaf()

  return:
    true if no child closures should be processed

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

  return:
    true if no child closures should be processed

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

  return:
    true if no child closures should be processed

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

  return:
    true if no child closures should be processed

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

  return:
    true if no child closures should be processed

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)

  return:
    true if no child closures should be processed